Determining permissions requirements

Problem

You need to determine what system permissions you need to install and use the New Relic PHP agent.

Solution

For most use cases, you will need root access to install New Relic for PHP. This is because the installation process requires privileges only available to the root user. These privileges include:

  • Read/write access to the PHP extensions directory
  • Read/write access to PHP configuration data, either in the PHP configuration directory (preferred) or in php.ini.
  • Ability to restart the web server or PHP process pool.

Running the agent does not require root access. The agent does need read/write access to the following files (the location of these files can be customized in the PHP agent settings):

For more help

Additional documentation resources include PHP Agent Troubleshooting (individual topics describing common problems, causes, and solutions for your PHP agent installation).

Join the discussion about PHP in the New Relic Online Technical Community! The Technical Community is a public platform to discuss and troubleshoot your New Relic toolset.

If you need additional help, get support at support.newrelic.com.